curl --request PUT \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/object-metadata \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"groupRef": "group-123",
"fields": {
"Account": [
{
"fieldName": "Industry",
"displayName": "Industry Sector",
"description": "The industry this account operates in",
"valueType": "string",
"required": false,
"stringOptions": {
"length": 255,
"defaultValue": "Technology"
}
},
{
"fieldName": "Company_Size",
"displayName": "Company Size",
"valueType": "string",
"stringOptions": {
"values": [
"Small",
"Medium",
"Large",
"Enterprise"
],
"valuesRestricted": true
}
}
],
"Contact": [
{
"fieldName": "Seniority_Level",
"displayName": "Seniority Level",
"valueType": "string",
"stringOptions": {
"values": [
"Junior",
"Mid",
"Senior",
"Executive"
],
"valuesRestricted": true
}
}
]
}
}
'{
"success": true,
"fields": {}
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Objects & Fields
Upsert custom fields for installation
Create or update fields in the SaaS instance tied to an installation. Only HubSpot and Salesforce are supported currently.
PUT
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
object-metadata
curl --request PUT \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/object-metadata \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"groupRef": "group-123",
"fields": {
"Account": [
{
"fieldName": "Industry",
"displayName": "Industry Sector",
"description": "The industry this account operates in",
"valueType": "string",
"required": false,
"stringOptions": {
"length": 255,
"defaultValue": "Technology"
}
},
{
"fieldName": "Company_Size",
"displayName": "Company Size",
"valueType": "string",
"stringOptions": {
"values": [
"Small",
"Medium",
"Large",
"Enterprise"
],
"valuesRestricted": true
}
}
],
"Contact": [
{
"fieldName": "Seniority_Level",
"displayName": "Seniority Level",
"valueType": "string",
"stringOptions": {
"values": [
"Junior",
"Mid",
"Senior",
"Executive"
],
"valuesRestricted": true
}
}
]
}
}
'{
"success": true,
"fields": {}
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
The integration ID.
Body
application/json
Metadata upsert request containing field definitions to create or update
Was this page helpful?
⌘I

